let SESSION_STATUS = Flashphoner.constants.SESSION_STATUS;
let STREAM_STATUS = Flashphoner.constants.STREAM_STATUS;
var session;
var remoteVideo;
var url;
var stream;


function init(){
    Flashphoner.init();
    remoteVideo = document.getElementById("remoteVideo");
	url = "wss://demo.flashphoner.com:8443"; //specify the address of your WCS
	stream = "stream1" //specify the name of your stream
}


function start(){
    session = Flashphoner.createSession({urlServer: url, //custom:{login:"demo"} 
	}).on(SESSION_STATUS.ESTABLISHED, function(session){
        setStatus(session.status());
		console.log(session);
        playStream(session);
    }).on(SESSION_STATUS.DISCONNECTED, function(){
        setStatus(SESSION_STATUS.DISCONNECTED);
        onStopped();
    }).on(SESSION_STATUS.FAILED, function(){
        setStatus(SESSION_STATUS.FAILED);
        onStopped();
    });

 
}


function playStream(session){

    session.createStream({
       	name: stream,
        display: remoteVideo
    }).on(STREAM_STATUS.PLAYING, function(stream) {
        setStatus(stream.status());
//        onStarted(stream);
    }).on(STREAM_STATUS.STOPPED, function() {
        setStatus(STREAM_STATUS.STOPPED);
        onStopped();
    }).on(STREAM_STATUS.FAILED, function() {
        setStatus(STREAM_STATUS.FAILED);
        onStopped();
    }).play();

 
}

function setStatus(status) {
    document.getElementById("status").innerHTML = status;
}